Update Node properties
Update properties of a specific Node (MediaAgent)
Path Parameters
- nodeId int32 required
Id of the Node (MediaAgent client Id)
- application/json
Request Body
mediaAgentInfo object
MediaAgent information for update operations
mediaAgent object
mediaAgentId int32mediaAgentName stringnetHostName stringdescription stringstatus stringPossible values: [
OFFLINE,ONLINE,MAINTENANCE]statusDescription stringrolesBitMask int32offlineReason int32isDDBSupported booleanisDDBSubclientConfigured booleanvssDestinationVolume stringnumberOfDisks int32mediaAgentProps object
enableMA booleanoptimizeForConcurrentLANBackups booleanenableAutomaticParallelDataTransferSelection booleanmaxNumOfParallelDataTransferOperations int32markMAOfflineForMaintenance booleanisRansomwareProtected booleanblockSizeKB int32indexRetentionDays int32enableMAAfterDelay booleanenableSnapBackups booleanisRansomwareProtectionSupported booleanscaleoutNodeType stringPossible values: [
NONE,GLUSTER,HEDVIG,CDM,S3]region object
id int32name stringdisplayName stringregionType stringPossible values: [
CV_DEFAULT,AZURE,AWS,USER_CREATED,OCI,GCP]osInfo object
Type stringosId int32SubType stringOsDisplayInfo object
OSName stringosVersion stringpowerManagementInfo object
isPowerManagementEnabled booleanisPowerMgmtSupported booleanisPowerMgmtAllowed booleanpowerStatus int32clientGroups object[]
id int32name string
Responses
- 200
- 400
- 404
Success
- application/json
- Schema
- Example (from schema)
Schema
- jobIds int64[]
error object
errorMessage stringerrorCode int32
{
"jobIds": [
0
],
"error": {
"errorMessage": "string",
"errorCode": 0
}
}
Bad Request
Requested Details not found
Loading...